Skip to main content

Revoke Channel Token

POST /v2/auth/revoke_channel_token​

This interface will call the social channelinterface to revoke the corresponding social channel's token.

Request parameters​

For the query parameters for interface calls, see Query Parameters.

ParametersTypeDescriptionNote
openidstringPlayer Network SDK user identificationRequired
tokenstringtokenRequired
os_for_reqstringPlayer Network SDK user's operating system identifier when logging into the game
Note: This field is only passed when the user logs into the game from a PC.When the user logs in from the PC client, a value of 5 is transmitted.
Optional

Request sample​

curl -sS -X POST -H 'Content-Type: application/json' 'http://test.intlgame.com/v2/auth/revoke_channel_token?channelid=15&gameid=11&os=1&sdk_version=2.0&seq=&source=1&ts=1652023735&sig=2322da29f0902173e8e4f224a991bbb4' -d '{"os_for_req":5,"openid":"5568528395","token":"7300ffa88b3163d4b2b0073be157bec1c37f6f1c.0.bd9646e9ca5779f124fb5049fb4fb457"}'

Response parameters​

ParametersTypeDescription
retintReturn code
0: Success
Others: Failure
msgstringDetailed information of the result
seqstringSequence number carried by request URL

Return Sample​

{
"ret":0,
"msg": "success",
"seq": "1590985725-0266701833-005085-0000001160"
}